export declare const enum SYSCALL_CLASS {
    NONE = 0,
    MACH = 1,
    UNIX = 2,
    MDEP = 3,
    DIAG = 4
}
declare const SYS: {
    exit: number;
    fork: number;
    read: number;
    write: number;
    open: number;
    close: number;
    wait4: number;
    link: number;
    unlink: number;
    chdir: number;
    fchdir: number;
    mknod: number;
    chmod: number;
    chown: number;
    getfsstat: number;
    getpid: number;
    setuid: number;
    getuid: number;
    geteuid: number;
    ptrace: number;
    recvmsg: number;
    sendmsg: number;
    recvfrom: number;
    accept: number;
    getpeername: number;
    getsockname: number;
    access: number;
    chflags: number;
    fchflags: number;
    sync: number;
    kill: number;
    getppid: number;
    dup: number;
    pipe: number;
    getegid: number;
    sigaction: number;
    getgid: number;
    sigprocmask: number;
    getlogin: number;
    setlogin: number;
    acct: number;
    sigpending: number;
    sigaltstack: number;
    ioctl: number;
    reboot: number;
    revoke: number;
    symlink: number;
    readlink: number;
    execve: number;
    umask: number;
    chroot: number;
    msync: number;
    vfork: number;
    munmap: number;
    mprotect: number;
    madvise: number;
    mincore: number;
    getgroups: number;
    setgroups: number;
    getpgrp: number;
    setpgid: number;
    setitimer: number;
    swapon: number;
    getitimer: number;
    getdtablesize: number;
    dup2: number;
    fcntl: number;
    select: number;
    fsync: number;
    setpriority: number;
    socket: number;
    connect: number;
    getpriority: number;
    bind: number;
    setsockopt: number;
    listen: number;
    sigsuspend: number;
    gettimeofday: number;
    getrusage: number;
    getsockopt: number;
    readv: number;
    writev: number;
    settimeofday: number;
    fchown: number;
    fchmod: number;
    setreuid: number;
    setregid: number;
    rename: number;
    flock: number;
    mkfifo: number;
    sendto: number;
    shutdown: number;
    socketpair: number;
    mkdir: number;
    rmdir: number;
    utimes: number;
    futimes: number;
    adjtime: number;
    gethostuuid: number;
    setsid: number;
    getpgid: number;
    setprivexec: number;
    pread: number;
    pwrite: number;
    nfssvc: number;
    statfs: number;
    fstatfs: number;
    unmount: number;
    getfh: number;
    quotactl: number;
    mount: number;
    csops: number;
    csops_audittoken: number;
    waitid: number;
    kdebug_typefilter: number;
    kdebug_trace_string: number;
    kdebug_trace64: number;
    kdebug_trace: number;
    setgid: number;
    setegid: number;
    seteuid: number;
    sigreturn: number;
    thread_selfcounts: number;
    fdatasync: number;
    stat: number;
    fstat: number;
    lstat: number;
    pathconf: number;
    fpathconf: number;
    getrlimit: number;
    setrlimit: number;
    getdirentries: number;
    mmap: number;
    lseek: number;
    truncate: number;
    ftruncate: number;
    sysctl: number;
    mlock: number;
    munlock: number;
    undelete: number;
    open_dprotected_np: number;
    getattrlist: number;
    setattrlist: number;
    getdirentriesattr: number;
    exchangedata: number;
    searchfs: number;
    delete: number;
    copyfile: number;
    fgetattrlist: number;
    fsetattrlist: number;
    poll: number;
    watchevent: number;
    waitevent: number;
    modwatch: number;
    getxattr: number;
    fgetxattr: number;
    setxattr: number;
    fsetxattr: number;
    removexattr: number;
    fremovexattr: number;
    listxattr: number;
    flistxattr: number;
    fsctl: number;
    initgroups: number;
    posix_spawn: number;
    ffsctl: number;
    nfsclnt: number;
    fhopen: number;
    minherit: number;
    semsys: number;
    msgsys: number;
    shmsys: number;
    semctl: number;
    semget: number;
    semop: number;
    msgctl: number;
    msgget: number;
    msgsnd: number;
    msgrcv: number;
    shmat: number;
    shmctl: number;
    shmdt: number;
    shmget: number;
    shm_open: number;
    shm_unlink: number;
    sem_open: number;
    sem_close: number;
    sem_unlink: number;
    sem_wait: number;
    sem_trywait: number;
    sem_post: number;
    sysctlbyname: number;
    open_extended: number;
    umask_extended: number;
    stat_extended: number;
    lstat_extended: number;
    fstat_extended: number;
    chmod_extended: number;
    fchmod_extended: number;
    access_extended: number;
    settid: number;
    gettid: number;
    setsgroups: number;
    getsgroups: number;
    setwgroups: number;
    getwgroups: number;
    mkfifo_extended: number;
    mkdir_extended: number;
    identitysvc: number;
    shared_region_check_np: number;
    vm_pressure_monitor: number;
    psynch_rw_longrdlock: number;
    psynch_rw_yieldwrlock: number;
    psynch_rw_downgrade: number;
    psynch_rw_upgrade: number;
    psynch_mutexwait: number;
    psynch_mutexdrop: number;
    psynch_cvbroad: number;
    psynch_cvsignal: number;
    psynch_cvwait: number;
    psynch_rw_rdlock: number;
    psynch_rw_wrlock: number;
    psynch_rw_unlock: number;
    psynch_rw_unlock2: number;
    getsid: number;
    settid_with_pid: number;
    psynch_cvclrprepost: number;
    aio_fsync: number;
    aio_return: number;
    aio_suspend: number;
    aio_cancel: number;
    aio_error: number;
    aio_read: number;
    aio_write: number;
    lio_listio: number;
    iopolicysys: number;
    process_policy: number;
    mlockall: number;
    munlockall: number;
    issetugid: number;
    __pthread_kill: number;
    __pthread_sigmask: number;
    __sigwait: number;
    __disable_threadsignal: number;
    __pthread_markcancel: number;
    __pthread_canceled: number;
    __semwait_signal: number;
    proc_info: number;
    sendfile: number;
    stat64: number;
    fstat64: number;
    lstat64: number;
    stat64_extended: number;
    lstat64_extended: number;
    fstat64_extended: number;
    getdirentries64: number;
    statfs64: number;
    fstatfs64: number;
    getfsstat64: number;
    __pthread_chdir: number;
    __pthread_fchdir: number;
    audit: number;
    auditon: number;
    getauid: number;
    setauid: number;
    getaudit_addr: number;
    setaudit_addr: number;
    auditctl: number;
    bsdthread_create: number;
    bsdthread_terminate: number;
    kqueue: number;
    kevent: number;
    lchown: number;
    bsdthread_register: number;
    workq_open: number;
    workq_kernreturn: number;
    kevent64: number;
    __old_semwait_signal: number;
    __old_semwait_signal_nocancel: number;
    thread_selfid: number;
    ledger: number;
    kevent_qos: number;
    kevent_id: number;
    __mac_execve: number;
    __mac_syscall: number;
    __mac_get_file: number;
    __mac_set_file: number;
    __mac_get_link: number;
    __mac_set_link: number;
    __mac_get_proc: number;
    __mac_set_proc: number;
    __mac_get_fd: number;
    __mac_set_fd: number;
    __mac_get_pid: number;
    pselect: number;
    pselect_nocancel: number;
    read_nocancel: number;
    write_nocancel: number;
    open_nocancel: number;
    close_nocancel: number;
    wait4_nocancel: number;
    recvmsg_nocancel: number;
    sendmsg_nocancel: number;
    recvfrom_nocancel: number;
    accept_nocancel: number;
    msync_nocancel: number;
    fcntl_nocancel: number;
    select_nocancel: number;
    fsync_nocancel: number;
    connect_nocancel: number;
    sigsuspend_nocancel: number;
    readv_nocancel: number;
    writev_nocancel: number;
    sendto_nocancel: number;
    pread_nocancel: number;
    pwrite_nocancel: number;
    waitid_nocancel: number;
    poll_nocancel: number;
    msgsnd_nocancel: number;
    msgrcv_nocancel: number;
    sem_wait_nocancel: number;
    aio_suspend_nocancel: number;
    __sigwait_nocancel: number;
    __semwait_signal_nocancel: number;
    __mac_mount: number;
    __mac_get_mount: number;
    __mac_getfsstat: number;
    fsgetpath: number;
    audit_session_self: number;
    audit_session_join: number;
    fileport_makeport: number;
    fileport_makefd: number;
    audit_session_port: number;
    pid_suspend: number;
    pid_resume: number;
    pid_hibernate: number;
    pid_shutdown_sockets: number;
    shared_region_map_and_slide_np: number;
    kas_info: number;
    memorystatus_control: number;
    guarded_open_np: number;
    guarded_close_np: number;
    guarded_kqueue_np: number;
    change_fdguard_np: number;
    usrctl: number;
    proc_rlimit_control: number;
    connectx: number;
    disconnectx: number;
    peeloff: number;
    socket_delegate: number;
    telemetry: number;
    proc_uuid_policy: number;
    memorystatus_get_level: number;
    system_override: number;
    vfs_purge: number;
    sfi_ctl: number;
    sfi_pidctl: number;
    coalition: number;
    coalition_info: number;
    necp_match_policy: number;
    getattrlistbulk: number;
    clonefileat: number;
    openat: number;
    openat_nocancel: number;
    renameat: number;
    faccessat: number;
    fchmodat: number;
    fchownat: number;
    fstatat: number;
    fstatat64: number;
    linkat: number;
    unlinkat: number;
    readlinkat: number;
    symlinkat: number;
    mkdirat: number;
    getattrlistat: number;
    proc_trace_log: number;
    bsdthread_ctl: number;
    openbyid_np: number;
    recvmsg_x: number;
    sendmsg_x: number;
    thread_selfusage: number;
    csrctl: number;
    guarded_open_dprotected_np: number;
    guarded_write_np: number;
    guarded_pwrite_np: number;
    guarded_writev_np: number;
    renameatx_np: number;
    mremap_encrypted: number;
    netagent_trigger: number;
    stack_snapshot_with_config: number;
    microstackshot: number;
    grab_pgo_data: number;
    persona: number;
    work_interval_ctl: number;
    getentropy: number;
    necp_open: number;
    necp_client_action: number;
    ulock_wait: number;
    ulock_wake: number;
    fclonefileat: number;
    fs_snapshot: number;
    terminate_with_payload: number;
    abort_with_payload: number;
    necp_session_open: number;
    necp_session_action: number;
    setattrlistat: number;
    net_qos_guideline: number;
    fmount: number;
    ntp_adjtime: number;
    ntp_gettime: number;
    os_fault_with_payload: number;
};
export default SYS;
