/// <reference types="node" />
export interface StaticBuffer extends Buffer {
}
export declare type TBuffer = Buffer | StaticBuffer;
export declare type number64 = [number, number];
export declare type TNumber = number | number64;
export declare type TCallbackTyped<T> = (result: T) => void;
export declare type TCallback = TCallbackTyped<number>;
export declare type TCallbackWithError<E, T> = (err?: E, result?: T) => void;
export declare type TAddress = TNumber | TBuffer | ArrayBuffer | Uint8Array;
export declare type TArg = TNumber | string | TBuffer | Uint8Array | ArrayBuffer;
export interface ILibSys {
    syscall(num: number, arg1?: TArg, arg2?: TArg, arg3?: TArg, arg4?: TArg, arg5?: TArg, arg6?: TArg): number;
    syscall64(num: number, arg1?: TArg, arg2?: TArg, arg3?: TArg, arg4?: TArg, arg5?: TArg, arg6?: TArg): number64;
    asyscall(num: number, callback: (res: number) => void): any;
    asyscall(num: number, arg1: TArg, callback: (res: number) => void): any;
    asyscall(num: number, arg1: TArg, arg2: TArg, callback: (res: number) => void): any;
    asyscall(num: number, arg1: TArg, arg2: TArg, arg3: TArg, callback: (res: number) => void): any;
    asyscall(num: number, arg1: TArg, arg2: TArg, arg3: TArg, arg4: TArg, callback: (res: number) => void): any;
    asyscall(num: number, arg1: TArg, arg2: TArg, arg3: TArg, arg4: TArg, arg5: TArg, callback: (res: number) => void): any;
    asyscall(num: number, arg1: TArg, arg2: TArg, arg3: TArg, arg4: TArg, arg5: TArg, arg6: TArg, callback: (res: number) => void): any;
    asyscall64(num: number, callback: (res: number64) => void): any;
    asyscall64(num: number, arg1: TArg, callback: (res: number64) => void): any;
    asyscall64(num: number, arg1: TArg, arg2: TArg, callback: (res: number64) => void): any;
    asyscall64(num: number, arg1: TArg, arg2: TArg, arg3: TArg, callback: (res: number64) => void): any;
    asyscall64(num: number, arg1: TArg, arg2: TArg, arg3: TArg, arg4: TArg, callback: (res: number64) => void): any;
    asyscall64(num: number, arg1: TArg, arg2: TArg, arg3: TArg, arg4: TArg, arg5: TArg, callback: (res: number64) => void): any;
    asyscall64(num: number, arg1: TArg, arg2: TArg, arg3: TArg, arg4: TArg, arg5: TArg, arg6: TArg, callback: (res: number64) => void): any;
}
